const countryRouter = {
  path: "/country",
  component: () =>
    import(/* webpackChunkName: "country" */ "../views/Country/Index.vue"),
  children: [
    {
      path: "", // 频道全天节目
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/ChannelEPG/Channel.vue"
        ),
    },
    {
      path: "/country/customRanking", // 自定义时间段排行
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/CustomRanking/CustomRanking.vue"
        ),
    },
    {
      path: "/country/channelList", // 多维度筛选 频道时段排名
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/ChannelList/ChannelList.vue"
        ),
    },
    {
      path: "/country/singleDay", // 单天频道点分钟
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/SingleDay/SingleDay.vue"
        ),
    },
    {
      path: "/country/average", // 平均频道点分钟
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/Average/Average.vue"
        ),
    },
    {
      path: "/country/subRegion", // 频道分地收视（全国）
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/SubRegion/SubRegion.vue"
        ),
    },
    {
      path: "/country/channelRegion", // 频道分地区收视
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/ChannelRegion/ChannelRegion.vue"
        ),
    },
    {
      path: "/country/flowChannel", // 频道实时流入流出
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/FlowChannel/FlowChannel.vue"
        ),
    },

    {
      path: "/country/program", // 节目点分钟
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/Program/Program.vue"
        ),
    },
    {
      path: "/country/compete", // 节目竞争一览
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/Compete/Compete.vue"
        ),
    },
    {
      path: "/country/specificProgramQuery", // 具体节目剧目查询
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/SpecificProgramQuery/SpecificProgramQuery.vue"
        ),
    },
    {
      path: "/country/specificProgram", // 具体节目剧目排行
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/SpecificProgram/SpecificProgram.vue"
        ),
    },
    {
      path: "/country/abstractProgramQuery", // 抽象节目剧目查询
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/AbstractProgramQuery/AbstractProgramQuery.vue"
        ),
    },
    {
      path: "/country/abstractProgram", // 抽象节目剧目排行
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/AbstractProgram/AbstractProgram.vue"
        ),
    },
    {
      path: "/country/flow", // 单期节目流入流出
      component: () =>
        import(/* webpackChunkName: "country" */ "../views/Flow/Flow.vue"),
    },
    {
      path: "/country/abstract", // 抽象节目剧目分地区收视（全国）
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/Abstract/Abstract.vue"
        ),
    },
    {
      path: "/country/overlap", // 节目剧目重叠度
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/Overlap/Overlap.vue"
        ),
    },
    {
      path: "/country/scheduling", // 电视剧排播信息及表现（全国）
      component: () =>
        import(
          /* webpackChunkName: "country" */ "../views/Scheduling/Scheduling.vue"
        ),
    },
  ],
};

export default countryRouter;
